net.corda.node.utilities

## Class UUIDStringColumnType

- net.corda.node.utilities.UUIDStringColumnType

-     public class UUIDStringColumnType

  ColumnType for marshalling to/from database on behalf of UUID, always using a string representation.

  See Also:
    UUID

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UUIDStringColumnType` | `INSTANCE` ColumnType for marshalling to/from database on behalf of UUID, always using a string representation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `notNullValueToDB(java.lang.Object value)`
    `java.lang.String` | `sqlType()`
    `java.lang.Object` | `valueFromDB(java.lang.Object value)`

- - ### Field Detail

    - #### INSTANCE

          public static UUIDStringColumnType INSTANCE

      ColumnType for marshalling to/from database on behalf of UUID, always using a string representation.

      See Also:
        UUID

  - ### Method Detail

    - #### sqlType

          public java.lang.String sqlType()

    - #### valueFromDB

          public java.lang.Object valueFromDB(java.lang.Object value)

    - #### notNullValueToDB

          public java.lang.Object notNullValueToDB(java.lang.Object value)